%global srcname pyRFC3339
%global __python /usr/bin/python
%global python2_sitelib /usr/lib/python2.6/site-packages

Name:           python-pyrfc3339
Version:        1.0
Release:        1%{?dist}
Summary:        Generate and parse RFC 3339 timestamps

License:        MIT
URL:            https://pypi.python.org/pypi/pyRFC3339
Source0:        https://pypi.python.org/packages/source/p/pyRFC3339/pyRFC3339-%{version}.tar.gz
Patch1:		coverhtml.patch

BuildArch:      noarch
BuildRequires:  python2-devel
# --- unit tests ---
BuildRequires:  python-nose
BuildRequires:  pytz

%description
This package contains a python library to parse and generate
RFC 3339-compliant timestamps using Python datetime.datetime objects.

%package -n python2-pyrfc3339
Summary:        %{summary}
%{?python_provide:%python_provide python2-pyrfc3339}

%description -n python2-pyrfc3339
This package contains a Python 2 library to parse and generate
RFC 3339-compliant timestamps using Python datetime.datetime objects.

%prep
%setup -n %{srcname}-%{version}
%patch1 -p0 -b .coverhtml

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} setup.py test


%files -n python2-pyrfc3339
%doc README.rst
%doc LICENSE.txt
%{python2_sitelib}/pyrfc3339
%{python2_sitelib}/%{srcname}-%{version}-*.egg-info


%changelog
* Fri Dec 04 2015 Nick Le Mouton <nick@noodles.net.nz>       - 1.0-1
- Adding to EL
* Tue Nov 10 2015 James Hogarth <james.hogarth@gmail.com>    - 1.0-1
- Add installed tests back as per review
- Update to new 1.0 PyPi release
- Add external license file
* Sun Nov 08 2015 James Hogarth <james.hogarth@gmail.com>    - 0.2-2
- Update to follow the python guidelines
* Wed Oct 28 2015 Felix Schwarz <fschwarz@fedoraproject.org> - 0.2-1
- initial packaging
